/**
 * TemplateTransfer for printing
 * 
 * @author Brother Industries, Ltd.
 * @version 2.2
 */

package com.brother.ptouch.sdk.printdemo.printprocess;

import android.content.Context;
import android.os.Message;

import com.brother.ptouch.sdk.PrinterStatus;
import com.brother.ptouch.sdk.printdemo.common.Common;
import com.brother.ptouch.sdk.printdemo.common.MsgDialog;
import com.brother.ptouch.sdk.printdemo.common.MsgHandle;

public class TemplateTransfer extends BasePrint {

	private String mPdzFile;

	public TemplateTransfer(Context context, MsgHandle mHandle,
			MsgDialog mDialog) {
		super(context, mHandle, mDialog);
	}

	/** Launch the thread to transfer */
	public void transfer() {
		TransferThread transfer = new TransferThread();
		transfer.start();
	}

	/** Thread for transferring */
	private class TransferThread extends Thread {
		@Override
		public void run() {

			// set info. for printing
			setPrinterInfo();

			// start message
			Message msg = mHandle.obtainMessage(Common.MSG_TRANSFER_START);
			mHandle.sendMessage(msg);
			mHandle.setFunction(MsgHandle.FUNC_TRANSFER);

			mPrintResult = new PrinterStatus();
			mPrintResult = mPrinter.transfer(mPdzFile);

			// end message
			mHandle.setResult(showResult());
			mHandle.setBattery(getBattery());

			msg = mHandle.obtainMessage(Common.MSG_PRINT_END);
			mHandle.sendMessage(msg);
		}
	}

	// set the print data
	public void setFile(String file) {
		mPdzFile = file;
	}

	@Override
	protected void doPrint() {
	}
}